[[exclusive_traps.external.action]]
id = "add_one"
operation = "add one"

[[exclusive_traps.external.guard]]
id = "select_north"
condition = "select_north"

[[exclusive_traps.external.transformation]]
id = "english_to_int"
conversion = "english_to_int"

[[exclusive_traps.external.transformation]]
id = "int_to_english"
conversion = "int_to_english"

[[exclusive_traps.data.tray.compartment]]
id = "IDENTITY_1"

[[exclusive_traps.data.tray.compartment]]
id = "IDENTITY_2"

[[exclusive_traps.data.picker]]
id = "pick_id_1"
source = "IDENTITY_1"
target = "input"

[[exclusive_traps.data.picker]]
id = "pick_id_2"
source = "IDENTITY_2"
target = "input"
transformation = "english_to_int"

[[exclusive_traps.data.putter]]
id = "put_id_1"
source = "output"
target = "IDENTITY_1"

[[exclusive_traps.data.putter]]
id = "put_id_2"
source = "output"
target = "IDENTITY_2"
transformation = "int_to_english"

[[exclusive_traps.control.start]]
id = "start"

[[exclusive_traps.control.diverging]]
id = "splitting"
mode = "exclusive"

[[exclusive_traps.control.action]]
id = "north"
action = "add_one"
pickers = ["pick_id_1"]
putters = ["put_id_1"]

[[exclusive_traps.control.action]]
id = "south"
action = "add_one"
pickers = ["pick_id_2"]
putters = ["put_id_2"]

[[exclusive_traps.control.converging]]
id = "merging"
mode = "exclusive"

[[exclusive_traps.control.end]]
id = "end"

[[exclusive_traps.control.channel]]
upstream = "start"
downstream = "splitting"

[[exclusive_traps.control.channel]]
upstream = "splitting"
downstream = "north"
guard = "select_north"

[[exclusive_traps.control.channel]]
upstream = "splitting"
downstream = "south"

[[exclusive_traps.control.channel]]
upstream = "north"
downstream = "merging"

[[exclusive_traps.control.channel]]
upstream = "south"
downstream = "merging"

[[exclusive_traps.control.channel]]
upstream = "merging"
downstream = "end"
